#
# spec file for package libvpd2 (Version 2.1.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libvpd2
Version:        2.1.2
Release:        0.6.36
BuildRequires:  gcc-c++ libtool zlib-devel sqlite-devel
Summary:        VPD Database access library for lsvpd
Group:          Development/Libraries/Other
License:        LGPL v2.1 or later
Url:            http://linux-diag.sourceforge.net/Lsvpd.html
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         libvpd-%{version}.tar.bz2
Patch2:         libvpd-pkg.patch
Patch3:         libvpd.async.patch

%description
The libvpd_cxx package contains the classes that are used to access a
vpd database created by vpdupdate in the lsvpd package.



Authors:
--------
    Eric Munson <ebmunson@us.ibm.com>
    Brad Peters <bpeters@us.ibm.com>

%package devel
License:        LGPL v2.1 or later
Summary:        VPD Database access library for lsvpd
Group:          Development/Languages/C and C++
Requires:       %{name} = %{version}
Requires:       sqlite-devel
AutoReqProv:    on

%description devel
The libvpd-devel package contains development libraries and header
files that are used to access a vpd database created by vpdupdate in
the lsvpd package.



Authors:
--------
    Eric Munson <ebmunson@us.ibm.com>
    Brad Peters <bpeters@us.ibm.com>

%prep
%setup -q -n libvpd
%patch2 -p1
%patch3 -p1

%build
autoreconf -fi
%configure \
	--prefix=%{_prefix}/ \
	--disable-static
make %{?jobs:-j%jobs}

%clean 
rm -rf $RPM_BUILD_ROOT

%install
make install DESTDIR=$RPM_BUILD_ROOT

%post -p /sbin/ldconfig 

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc COPYING NEWS README TODO
%exclude %{_libdir}/*.la
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Tue Oct  5 2010 duwe@suse.de
- backport 2.1.2 to sle10-sp3 (FATE#309747)
* Fri Nov 20 2009 uli@suse.de
- update -> 2.1.1 (required by new lsvpd, fate#304149)
* Mon Dec  8 2008 olh@suse.de
- set 'PRAGMA synchronous = OFF;' to avoid fsync for each string
  (bnc#449648)
* Fri Nov 21 2008 sassmann@suse.de
- rename package to libvpd2 because it now contains libs for
  both C and C++ (bnc#444531)
- cleanup broken SONAME (bnc#444531)
* Wed Jun 25 2008 olh@suse.de
- add baselibs.conf
- rename to libvpd_cxx2
- update to libvpd-2.0.3 (fate#304148)
  no changelog in package
* Wed Nov 14 2007 sassmann@suse.de
- initial release of libvpd_cxx 1.3.5
- libvpd_cxx is a library required by lsvpd 1.3.5 (fate #302692)
